#!/bin/bash

if [ $# -gt 0 ]; then
	REPOS="$@"
else
	[ -f my.repos ] && REPOS="`cat my.repos`" || echo "Usage: $0 <repos>"
fi

FILES="
	Makefile.bundles 
	Makefile.common 
	Makefile.def 
	Makefile_nfo 
	Makefile_nml 
	Makefile_obg 
	Makefile_obs 
	nfoheader.nfo 
	mdep.py
"

for REPO in $REPOS; do
	echo "Updating repo: $REPO"
	[ -d $REPO ] && REPOPATH="$REPO" || REPOPATH="../$REPO"
	if [ -d $REPOPATH ]; then
		if [ ! -f $REPOPATH/Makefile.config ]; then
			echo "new install, please edit $REPOPATH/Makefile.config"
			cp Makefile.config $REPOPATH/
			mkdir -p $REPOPATH/scripts
		fi
		for FILE in $FILES; do
			cp scripts/$FILE $REPOPATH/scripts/
		done
		cp Makefile.newgrf $REPOPATH/Makefile
	else
		echo "there is no repo at $REPOPATH"
	fi
done
